summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-04-08 07:59:36 +0200
committerHans de Graaff <graaff@gentoo.org>2021-04-08 07:59:36 +0200
commitdaadf6a1dfa2c748aaf271de1fcb872dfc42c5ba (patch)
tree68be669ebd7d2bd1f9d0b7981fb7cb4ffec22a97
parentdev-ruby/loofah: add 2.9.1 (diff)
downloadgentoo-daadf6a1.tar.gz
gentoo-daadf6a1.tar.bz2
gentoo-daadf6a1.zip
dev-ruby/oauth: add 0.5.6
Package-Manager: Portage-3.0.17, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/oauth/Manifest1
-rw-r--r--dev-ruby/oauth/oauth-0.5.6.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-ruby/oauth/Manifest b/dev-ruby/oauth/Manifest
index fcb141fdd3a..0b8ec66c9ae 100644
--- a/dev-ruby/oauth/Manifest
+++ b/dev-ruby/oauth/Manifest
@@ -1,2 +1,3 @@
DIST oauth-0.5.4.tar.gz 59141 BLAKE2B 1e588d411795b7c5b4ae5b7b3c9928b69aaa005bef858137759757e9f06d6de144408e4dba33d7fbf82a3f2586238a71b85b89c681f5d633453dfe0da954a2fb SHA512 f114f80255944934a276d0f9556ed37e4a0a72b221269cf7792f2c3a5a1504c5ec726fd5b7437b1102c648a6cf451a1c83de4689f53d30ea8c6a1d62662de535
DIST oauth-0.5.5.tar.gz 60289 BLAKE2B 28a283bdb251b791ab6e0d50e6ed7db09445177bcaf5a99258c465e3783c5535f7d6acee356ec2f7559a942d1146ae8487260f8945f3138de670c20c60d7068c SHA512 9db8d68950b46b469777e320dea88e14506be846233f7c24e7dcdf9b57e761c43a7b715fa70f32a41b15ac7936a586e8b49a33af971fd0e9509d62827c69571f
+DIST oauth-0.5.6.tar.gz 60887 BLAKE2B 8dea7bc6b1a3c9d5befa5badbda105fed28004d6627624fedaf1572cc261421e3a8636019bb0a600a28fb6aa933d2b1be5faf613ae3062f7d50b314b86059b17 SHA512 dcb516b90d6cf0ff3f1071fa7bf1e1b30cd998c79205f9a6df001d5c04784ad23ecd430b4e04565a6351efcc780b552dfc38ea962d0a938c9e19a6e5bd3fe070
diff --git a/dev-ruby/oauth/oauth-0.5.6.ebuild b/dev-ruby/oauth/oauth-0.5.6.ebuild
new file mode 100644
index 00000000000..7fdf4be49c4
--- /dev/null
+++ b/dev-ruby/oauth/oauth-0.5.6.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="HISTORY README.rdoc TODO"
+
+RUBY_FAKEGEM_GEMSPEC="oauth.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A RubyGem for implementing both OAuth clients and servers"
+HOMEPAGE="https://github.com/oauth-xx/oauth-ruby"
+SRC_URI="https://github.com/oauth-xx/oauth-ruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="${PN}-ruby-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? (
+ dev-ruby/bundler
+ dev-ruby/test-unit:2
+ dev-ruby/mocha:1.0
+ dev-ruby/webmock
+ dev-ruby/rack
+ dev-ruby/actionpack:6.0
+ dev-ruby/railties:6.0
+)"
+
+all_ruby_prepare() {
+ # Require a compatible version of mocha
+ sed -i -e '1igem "mocha", "~> 1.0"; gem "railties", "~>6.0.0" ; gem "actionpack", "~>6.0.0"' \
+ -e '2i gem "test-unit"; require "test/unit"' \
+ -e '/mocha/ s/mini_test/minitest/' \
+ -e '/\(byebug\|minitest_helpers\|simplecov\)/I s:^:#:' test/test_helper.rb || die
+}